Bug 1517257 - Rhev host updation, memory field greyed but still editable
Summary: Rhev host updation, memory field greyed but still editable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-24 12:01 UTC by Sanket Jagtap
Modified: 2020-04-14 13:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
RHEV memory add (54.20 KB, image/png)
2017-11-24 12:01 UTC, Sanket Jagtap
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24160 Normal Closed Rhev host updation, memory field greyed but still editable 2020-03-11 13:59:15 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:22:43 UTC

Description Sanket Jagtap 2017-11-24 12:01:06 UTC
Created attachment 1358644 [details]
RHEV memory add

Description of problem:


Version-Release number of selected component (if applicable):
Build:Satellite 6.3.0 snap26

How reproducible:
Always

Steps to Reproduce:
1. Provsion a Host on RHEV
2. Edit the host, go to Virtual machine tab. All options are greyed
3. Use the min max controller to increase the memory

Actual results:
The increase memory Config is sent to rhev and is applied on the Host's next run

Expected results:
1) The Memory field shouldn't be greyed out and it should show a not on editing, that changes would take effect in next run
OR 
2) If we don't want the configuration edited from satellite ,Completely disable the min max field. 

I think we should go with 1.

Additional info:
This behavior doesn't Happen with CPU Cores

Comment 2 Shira Maximov 2018-07-05 07:48:15 UTC
Created redmine issue https://projects.theforeman.org/issues/24160 from this bug

Comment 3 pm-sat@redhat.com 2018-12-06 21:03:08 UTC
Upstream bug assigned to mshira@redhat.com

Comment 4 pm-sat@redhat.com 2018-12-06 21:03:10 UTC
Upstream bug assigned to mshira@redhat.com

Comment 5 Bryan Kearney 2019-05-21 14:01:41 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24160 has been resolved.

Comment 6 Marek Hulan 2019-09-04 08:48:20 UTC
This will probably be reverted in upstream by https://projects.theforeman.org/issues/27391 as the solution introduced other issues.

Comment 7 Lukáš Hellebrandt 2020-03-11 14:10:25 UTC
Verified with Sat 6.7 snap 15 using reproducer from OP. The field is greyed out and the up/down arrows are not shown at all.

Comment 10 errata-xmlrpc 2020-04-14 13:22:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.